from bcdebug import debug

##############################################################################

Carrier = __import__( "ftb.Carrier")
class TOSAkira( Carrier.Carrier):
    def __init__( self, pShip):
        Carrier.Carrier.__init__( self, pShip)
        # The script name should be the name of the "ship" script, not the
        # hardpoint (otherwise, you'll crash your BC and this is bad)
        LauncherGroup = __import__( "ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__( "ftb.LauncherManager")
        #launcher = LauncherManager.GetLauncher( "Shuttle Bay 1", pShip)
        #group.AddLauncher( "Shuttle Bay 1", launcher)
        #launcher.AddLaunchable( "PeragrineF1", "ftb.friendlyAI", 2)
        #launcher.AddLaunchable( "workerbee", "ftb.friendlyAI", 12)

        launcher = LauncherManager.GetLauncher( "Shuttle Bay 2", pShip)
        group.AddLauncher( "Shuttle Bay 2", launcher)
        launcher.AddLaunchable( "Type1", "ftb.friendlyAI", 18)
        
       
        self.AddLauncher( "Group 1", group)


    # Define how much Shuttles we can carry maximal (Return Shuttles script)
    def GetMaxShuttles(self):
    	debug(__name__ + ", GetMaxShuttles")
    	return 33

   
ShipManager = __import__( "ftb.ShipManager")
ShipManager.RegisterShipClass( "TOSAkira", TOSAkira)
